Count profiles matching custom filters

Return an estimated count of profiles that match the provided custom_filters.

This endpoint does not run the full search pipeline (no LLM query interpretation). It is intended for quickly checking how broad or narrow a set of filters is before running /v2/search.

The request must include custom_filters with at least one non-empty constraint (for example locations, titles, companies, industries, follower count ranges, etc.).

Check out official Python client

Body Params
custom_filters
object
required

Custom filters in JSON format for advanced filtering. Leave empty to use default filtering logic. Format: {"filter_name1": ["value1", "value2"], "filter_name2": ["value3", "value4"], ...}.

Filtering logic: Conditions between different keys are joined with "AND", so all conditions must pass. Within each condition, we always use "OR". For example, {"titles": ["swe", "mle"]} means the profile must have either "swe" OR "mle" as a title. If you specify multiple keys like {"titles": ["swe", "mle"], "locations": ["San Francisco"]}, the profile must match at least one title (swe OR mle) AND be in San Francisco.

Use any string values as is. Pearch.ai internally correctly matches them to profile data. E.g. you may pass {"industries": "health"} to filter for profiles in health industry, this will be correctly mapped to pearch.ai internal healthcare industry. If you want to force no filtering at all (custom_filters or default filters), pass empty object "custom_filters": {}. This will speed up search, increase recall at some relevancy cost.

boolean
Defaults to false

If true, apply stricter matching for filters (for example exact title matching after abbreviation expansion/translation).

Responses

400

Invalid parameter values. JSON body contains the error message.

401

Invalid API key

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json